Subject: RE: Performance of g77 in Cygwin CD
From: "Suhaib Siddiqi" <[email-masked]>
To: <[email-masked]>, <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 4 Nov 1999 09:09:45 -0500

> In a message dated 11/4/99 12:22:33 AM Pacific Standard Time,
> [email-masked] writes:
>
> > As the backend is new on the Cygwin 1.0 CD i have a few
> questions>
> >
> >  1. Is the performance improved for g77 ?
>  I would second Suhaib's recommendation to build and
> install gcc-2.95.2.

But I highly recommend not to replace (overwrite) gcc which
ships with Cygwin 1.0 CD.  If you download pgcc-2.95.2 for Cygwin v
1.0 CD from my URL
(http://siddiqi.webjump.com)  please install it in /cygwin/usr/local
so you can use g77 and java compiler.
BTW. the libf2c and other patches from Mumit's are applied.

Suhaib

> I
> have done this in my B21 snapshot installations.  I first
> installed
> make-3.77.  There is a minor patch required to make
> libf2c/libU77/[de]time_.c
> consistent with the new <windows.h>, and it's worth while
> to make sure that
> .p2align is configured, even though it's not fully
> effective because cygwin
> does not maintain the required 128-bit stack alignment.
> I think this
> requires installation of a binutils snapshot.  I am
> getting significantly
> better performance on my applications than I was getting
> with LF95, although
> this varies according to circumstances.
>
>
> Tim
> [email-masked]
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]